Bug 141949 - (no subject)
Summary: (no subject)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-24 13:50 UTC by Andras Horvath
Modified: 2009-12-25 19:30 UTC (History)
0 users

See Also:


Attachments
file.shar (2.64 KB, text/plain)
2009-12-24 13:50 UTC, Andras Horvath
no flags Details
aaphoto.shar (2.64 KB, application/x-shar)
2009-12-25 13:28 UTC, Andras Horvath
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Horvath 2009-12-24 13:50:04 UTC

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2009-12-24 16:05:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 wenheping 2009-12-25 12:04:33 UTC
Hi,

    The build failed as below, would you have a check of it and fix it ?


wen



building aaphoto-0.32 in directory /usr/local/tinderbox/9.0-FreeBSD
build started at Fri Dec 25 09:18:24 UTC 2009
port directory: /usr/ports/graphics/aaphoto
building for:  9.0-CURRENT i386
maintained by: han@log69.com
ident warning: no id keywords in /usr/ports/graphics/aaphoto/Makefile
Makefile ident:
prefixes: LOCALBASE=usr/local X11BASE=usr/local PREFIX=/usr/local
Begin Configuration:
---Begin Environment---
ARCH=i386
PACKAGE_BUILDING=1
USER=root
CCACHE_DIR=
BRANCH=CURRENT
CCACHE_NOLINK=1
HOST_WORKDIR=
X11BASE=/usr/local
BATCH=1
OLDPWD=/
HOME=/root
PKGZIPCMD=bzip2
HAVE_MOTIF=1
FTP_TIMEOUT=900
HTTP_TIMEOUT=900
defaultUpdateHost=cvsup.FreeBSDChina.org
pb=/usr/local/tinderbox
DISTFILE_CACHE=/usr/ports/distfiles
OSREL=9.0
defaultUpdateType=CSUP
TINDERD_LOGFILE=/dev/null
PORTOBJFORMAT=elf
WRKDIRPREFIX=/work
DISTDIR=/tmp/distfiles
DISTCACHE=/distcache
CCACHE_LOGFILE=
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/local/bin
PACKAGES=/tmp/packages
TIMEOUT=7200
PKGSUFFIX=.tbz
OSVERSION=900002
OPTIONS_ENABLED=0
__DSVERSION__=3.2
TINDERD_SLEEPTIME=120
UNAME_n=tinderbox.host
__MKLVL__=1
CCACHE_JAIL=0
LOCALBASE=/usr/local
CCACHE_MAX_SIZE=1G
DISTFILE_URI=
X_WINDOW_SYSTEM=xorg
MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/
OPTIONS_DIR=
UNAME_r=9.0-CURRENT
USA_RESIDENT=YES
UNAME_s=FreeBSD
PARALLEL_PACKAGE_BUILD=1
PWD=/usr/ports/graphics/aaphoto
UNAME_v=FreeBSD 9.0-CURRENT #0: Fri Dec 25 17:14:36 CST 2009
root@tinderbox.host:/usr/src/sys/magic/kernel/path
FTP_PASSIVE_MODE=yes
CCACHE_ENABLED=0
INDEXFILE=INDEX-9
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

End Configuration.
FETCH_DEPENDS=
PATCH_DEPENDS=
EXTRACT_DEPENDS=
BUILD_DEPENDS=jpeg-7.tbz jasper-1.900.1_8.tbz png-1.2.40.tbz
RUN_DEPENDS=jpeg-7.tbz jasper-1.900.1_8.tbz png-1.2.40.tbz
add_pkg
================================================================
====================<phase 1: make checksum>====================
=> aaphoto_sources_v0.32.tar.gz doesn't seem to exist in /tmp/distfiles/.
=> Attempting to fetch from file:///distcache//.
fetch: file:///distcache//aaphoto_sources_v0.32.tar.gz: No such file
or directory
=> Attempting to fetch from http://log69.com/downloads/.
fetch: http://log69.com/downloads/aaphoto_sources_v0.32.tar.gz:
Operation timed out
=> Attempting to fetch from ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/aaphoto_sources_v0.32.tar.gz:
File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /tmp/distfiles/ and try again.
*** Error code 1

Stop in /a/ports/graphics/aaphoto.
================================================================
build of /usr/ports/graphics/aaphoto ended at Fri Dec 25 09:19:46 UTC 2009
Comment 3 Andras Horvath 2009-12-25 13:28:46 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

As i see it couldn't fetch the tarball. I just gave it a try and it
downloads just fine from my site:
http://log69.com/downloads/aaphoto_sources_v0.32.tar.gz

The build goes well too for me starting make from
my /usr/ports/graphics/aaphoto directory on 8.0-RELEASE.

Also, i just noticed that there is a colon ':' character at the end of
the link in the log below that you attached. That might be the problem.
Maybe something went wrong with the .shar file when i uploaded through
the website.

portlint also ran successfully on the port.

In case, i attach the .shar file to this e-mail too.


Thanks,
Andras
- -----------------------------------------------------------


On Fri, 25 Dec 2009 20:04:33 +0800
wen heping <wenheping@gmail.com> wrote:

> Hi,
> 
>     The build failed as below, would you have a check of it and fix
> it ?
> 
> 
> wen
> 
> 
> 
> building aaphoto-0.32 in directory /usr/local/tinderbox/9.0-FreeBSD
> build started at Fri Dec 25 09:18:24 UTC 2009
> port directory: /usr/ports/graphics/aaphoto
> building for:  9.0-CURRENT i386
> maintained by: han@log69.com
> ident warning: no id keywords in /usr/ports/graphics/aaphoto/Makefile
> Makefile ident:
> prefixes: LOCALBASE=usr/local X11BASE=usr/local PREFIX=/usr/local
> Begin Configuration:
> ---Begin Environment---
> ARCH=i386
> PACKAGE_BUILDING=1
> USER=root
> CCACHE_DIR=
> BRANCH=CURRENT
> CCACHE_NOLINK=1
> HOST_WORKDIR=
> X11BASE=/usr/local
> BATCH=1
> OLDPWD=/
> HOME=/root
> PKGZIPCMD=bzip2
> HAVE_MOTIF=1
> FTP_TIMEOUT=900
> HTTP_TIMEOUT=900
> defaultUpdateHost=cvsup.FreeBSDChina.org
> pb=/usr/local/tinderbox
> DISTFILE_CACHE=/usr/ports/distfiles
> OSREL=9.0
> defaultUpdateType=CSUP
> TINDERD_LOGFILE=/dev/null
> PORTOBJFORMAT=elf
> WRKDIRPREFIX=/work
> DISTDIR=/tmp/distfiles
> DISTCACHE=/distcache
> CCACHE_LOGFILE=
> PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/local/bin
> PACKAGES=/tmp/packages
> TIMEOUT=7200
> PKGSUFFIX=.tbz
> OSVERSION=900002
> OPTIONS_ENABLED=0
> __DSVERSION__=3.2
> TINDERD_SLEEPTIME=120
> UNAME_n=tinderbox.host
> __MKLVL__=1
> CCACHE_JAIL=0
> LOCALBASE=/usr/local
> CCACHE_MAX_SIZE=1G
> DISTFILE_URI=
> X_WINDOW_SYSTEM=xorg
> MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/
> OPTIONS_DIR=
> UNAME_r=9.0-CURRENT
> USA_RESIDENT=YES
> UNAME_s=FreeBSD
> PARALLEL_PACKAGE_BUILD=1
> PWD=/usr/ports/graphics/aaphoto
> UNAME_v=FreeBSD 9.0-CURRENT #0: Fri Dec 25 17:14:36 CST 2009
> root@tinderbox.host:/usr/src/sys/magic/kernel/path
> FTP_PASSIVE_MODE=yes
> CCACHE_ENABLED=0
> INDEXFILE=INDEX-9
> ---End Environment---
> 
> ---Begin OPTIONS List---
> ---End OPTIONS List---
> 
> End Configuration.
> FETCH_DEPENDS=
> PATCH_DEPENDS=
> EXTRACT_DEPENDS=
> BUILD_DEPENDS=jpeg-7.tbz jasper-1.900.1_8.tbz png-1.2.40.tbz
> RUN_DEPENDS=jpeg-7.tbz jasper-1.900.1_8.tbz png-1.2.40.tbz
> add_pkg
> ================================================================
> ====================<phase 1: make checksum>====================
> => aaphoto_sources_v0.32.tar.gz doesn't seem to exist
> in /tmp/distfiles/. => Attempting to fetch from file:///distcache//.
> fetch: file:///distcache//aaphoto_sources_v0.32.tar.gz: No such file
> or directory
> => Attempting to fetch from http://log69.com/downloads/.
> fetch: http://log69.com/downloads/aaphoto_sources_v0.32.tar.gz:
> Operation timed out
> => Attempting to fetch from
> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/. fetch:
> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/aaphoto_sources_v0.32.tar.gz:
> File unavailable (e.g., file not found, no access) => Couldn't fetch
> it - please try to retrieve this => port manually
> into /tmp/distfiles/ and try again. *** Error code 1
> 
> Stop in /a/ports/graphics/aaphoto.
> ================================================================
> build of /usr/ports/graphics/aaphoto ended at Fri Dec 25 09:19:46 UTC
> 2009

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAks0vg4ACgkQAx9+mHylNBjuqgCfUZV6HcseMw45YVEiGV3px3ZI
mY8AmQFyhr00/lPodZey90VuiV4LnG4g
=MPA2
-----END PGP SIGNATURE-----
Comment 4 Wen Heping freebsd_committer 2009-12-25 14:05:20 UTC
Responsible Changed
From-To: wen->miwi

Over to miwi.
Comment 5 Martin Wilke freebsd_committer 2009-12-25 19:20:05 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2009-12-25 19:20:32 UTC
miwi        2009-12-25 19:20:24 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/aaphoto     Makefile distinfo pkg-descr 
  Log:
  Auto Adjust Photo is a small command-line image manipulation tool that
  allows the user to easily correct family photos. It tries to make the
  picture look better. The program does this by analyzing the input image
  and then sets the most optimal contrast, gamma, color balance and
  saturation for it.
  
  WWW: http://log69.com/aaphoto_en.html
  
  PR:             ports/141949
  Submitted by:   Andras Horvath <han at log69.com>
  
  Revision  Changes    Path
  1.1300    +1 -0      ports/graphics/Makefile
  1.1       +33 -0     ports/graphics/aaphoto/Makefile (new)
  1.1       +3 -0      ports/graphics/aaphoto/distinfo (new)
  1.1       +7 -0      ports/graphics/aaphoto/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"